Index: trunk/MagicSoft/Mars/datacenter/scripts/sourcefile
===================================================================
--- trunk/MagicSoft/Mars/datacenter/scripts/sourcefile	(revision 8482)
+++ trunk/MagicSoft/Mars/datacenter/scripts/sourcefile	(revision 8525)
@@ -51,6 +51,12 @@
       then 
          echo "could not make dir "$@
-         rm -v $todofile
-         rm -v $lockfile
+         if ! [ "$todofile" = "" ] && ls $todofile >/dev/null 2>&1
+         then 
+            rm -v $todofile
+         fi
+         if ls $lockfile >/dev/null 2>&1
+         then 
+            rm -v $lockfile
+         fi
          date
          exit
